Imports AVB.WPF.VB.UI
Imports AVB.WPF.VB.UI.Impl
Imports Lamar

Public Class CompositionBuilder
    Private _container As IContainer

    Public Sub Initialize()
        Dim serviceRegistry As ServiceRegistry = New ServiceRegistry
        serviceRegistry.IncludeRegistry(Of ViewModelRegistry)()
        Me._container = New Container(serviceRegistry)
    End Sub

    Public Function CreateMainWindow() As MainWindow
        Dim mainWindow As MainWindow = Me._container.GetInstance(Of MainWindow)
        Dim mainViewModel As MainViewModel = Me._container.GetInstance(Of IMainViewModel)
        mainWindow.DataContext = mainViewModel
        CreateMainWindow = mainWindow
    End Function
End Class