Imports AVB.WPF.VB.UI
Imports Lamar

Public Class ViewModelFactory
    Implements IViewModelFactory
    Private ReadOnly _container As IContainer
    Public Sub New(container As IContainer)
        Me._container = container
    End Sub

    Public Function CreateViewModel(Of T)() As T Implements IViewModelFactory.CreateViewModel
        CreateViewModel = Me._container.GetInstance(Of T)
    End Function
End Class

